amova {ade4} | R Documentation

## Analysis of molecular variance

### Description

The analysis of molecular variance tests the differences among population and/or groups of populations in a way similar to ANOVA. It includes evolutionary distances among alleles.

### Usage

    amova(samples, distances, structures)
    ## S3 method for class 'amova'
    print(x, full = FALSE, ...)

### Arguments

`samples` | a data frame with haplotypes (or genotypes) as rows, populations as columns and abundance as entries
`distances` | an object of class `dist` computed from Euclidean distance. If `distances` is null, equidistances are used.
`structures` | a data frame containing, in the jth row and the kth column, the name of the group of level k to which the jth population belongs
`x` | an object of class `amova`
`full` | a logical value indicating whether the original data ('distances', 'samples', 'structures') should be printed
`...` | further arguments passed to or from other methods

### Value

Returns a list of class `amova`

`call` | call
`results` | a data frame with the degrees of freedom, the sums of squares, and the mean squares. Rows represent levels of variability.
`componentsofcovariance` | a data frame containing the components of covariance and their contribution to the total covariance
`statphi` | a data frame containing the phi-statistics

### Author(s)

Sandrine Pavoine pavoine@mnhn.fr

### References

Excoffier, L., Smouse, P.E. and Quattro, J.M. (1992) Analysis of molecular variance inferred from metric distances among DNA haplotypes: application to human mitochondrial DNA restriction data. Genetics, 131, 479–491.

### See Also

`randtest.amova`

### Examples

    data(humDNAm)
    amovahum <- amova(humDNAm$samples, sqrt(humDNAm$distances), humDNAm$structures)
    amovahum

[Package ade4 version 1.7-13 Index]